package client_server;

/**

 * BorrowersProcessor processes a request from a web page.  It responds to the

 * request by sending a query to a database, and returning the result.

**/

import java.io.*;

import java.sql.*;

 

public class DisplayCustomer extends WebRequestProcessor

{

       public void process (Request request, Response response)

       {

               try

               {

                      // Get a connection to the database.

                      Class.forName ("sun.jdbc.odbc.JdbcOdbcDriver");

                      Connection con = DriverManager.getConnection ("jdbc:odbc:triplestars");

 

                      // Create a statement and a query.

                      Statement stmt = con.createStatement ();

                      String query = "Select * From customers";

 

                      // Execute the query and retrieve a ResultSet.

                      ResultSet rs = stmt.executeQuery (query);

                     

                      // Get a PrintWriter object and respond to the request.

                      PrintWriter out = response.getWriter ();

                      Page.createHeader (out, "Customers List");

                      out.println ("<h2><center><u>Customers List:</u></center></h2>");

 
                      // Display the data in the ResultSet.

                      while (rs.next ())

                      {
         
                            out.println ("<table height=300 cellspacing=5 border=5 bodercolor=#CC0033>");
                             
                            out.println ("<tr><td>");
                                     
                            out.println ("<p><b><font color=brown>ID:</font></b> " + rs.getString ("id"));

                            out.println ("<br /><b><font color=navy>Name:</font></b> " + rs.getString ("name"));
                            
                            out.println ("<br /><b>Address:</b> " + rs.getString ("address"));

                            out.println ("<br /><b>Telephone:</b> " + rs.getString ("phone"));

                            out.println ("<br /><b>Email:</b> " + rs.getString ("email"));
                             
							out.println ("<br /><b>Picture:</b> " + "<img src=" + rs.getString ("picture") + ">" + "</p>");
						    
						    out.println ("</td></tr></table>");

                      }

                      Page.createFooter (out);

                      con.close (); // Close the connection to the database.

               } catch (SQLException e) {System.out.println ("SQL Exception");}

                 catch (ClassNotFoundException e) {System.out.println ("Driver not found");}              

       } // process

} // DisplayCustomer


// Class with static method that add standard lines to the html output page.

class Page

{

       public static void createHeader (PrintWriter out, String title)

       {

               out.println ("<!DOCTYPE HTML PUBLIC '-//W3C//DTD HTML 4.0 Transitional//EN'>");

               out.println ("<html>");

               out.println ("<head>");

               out.println ("<title>" + title + "</title>");

               out.println ("</head>");
               
               out.println ("<body>");
               

       } // createHeader

      

       public static void createFooter (PrintWriter out)
       {
       	       	
               out.println ("</body></html>");
        
        }

} // class Page


