package client_server;

 

/**

 * FindCustomer processes a request from a web page.  It responds to the

 * request by sending a query to a database, and returning the result.

**/

import java.io.*;

import java.sql.*;

 

public class FindCustomer extends WebRequestProcessor

{

       public void process (Request request, Response response)

       {

               try

               {

                      // Get the title from the html page.

                      String name = request.getParameter ("name");

                     
                      // Get a connection to the database.

                      Class.forName ("sun.jdbc.odbc.JdbcOdbcDriver");

                      Connection con = DriverManager.getConnection ("jdbc:odbc:triplestars");

 
                      // Create a statement and a query.

                      Statement stmt = con.createStatement ();

                      String query = "Select * From customers Where name = '" + name + "'";

 
                      // Execute the query and retrieve a ResultSet.

                      ResultSet rs = stmt.executeQuery (query);


                      // Get a PrintWriter object and respond to the request.

                      PrintWriter out = response.getWriter ();

                      Page.createHeader (out, "Customer Requested");
                      

                      // Display the data in the ResultSet.

                      if (rs.next ())

                      {


                             out.println ("<table height=300 cellspacing=5 border=5 bodercolor=#CC0033>");
                             
                             out.println ("<tr><td>");
                             
                             out.println ("<p><b>ID:</b> " + rs.getString ("id"));

                             out.println ("<br /><b>Name:</b> " + rs.getString ("name"));

                             out.println ("<br /><b>Address:</b> " + rs.getString ("address"));

                             out.println ("<br /><b>Telephone:</b> " + rs.getString ("phone"));

                             out.println ("<br /><b>Email:</b> " + rs.getString ("email"));
                             
                             out.println ("<br /><b>Picture:</b> " + "<img src=" + rs.getString ("picture") + ">" + "</p>");

							 out.println ("</td></tr></table>"); 

                      }
                      else

                      {

                             out.println ("<h2>Sorry but the name was not found our database.</h2>");
                             
                             out.println ("<h2>Please Try Again!</h2>");
                             
                             out.println ("<img src=http://www.triplestarinc.com/10/sadface.jpg>");
                             

                      }

                      Page.createFooter (out);

                      con.close (); // Close the connection to the database.

               } catch (SQLException e) {System.out.println ("SQL Exception");}

                 catch (ClassNotFoundException e) {System.out.println ("Driver not found");}              

       } // process

} // FindCustomer