package client_server;

 

/**

 * FindProduct processes a request from a web page.  It responds to the

 * request by sending a query to a database, and returning the result.

**/

import java.io.*;

import java.sql.*;

 

public class FindProduct extends WebRequestProcessor

{

       public void process (Request request, Response response)

       {

               try

               {

                      // Get the title from the html page.

                      String name = request.getParameter ("name");
                     

                      // Get a connection to the database.

                      Class.forName ("sun.jdbc.odbc.JdbcOdbcDriver");

                      Connection con = DriverManager.getConnection ("jdbc:odbc:triplestars");
 

                      // Create a statement and a query.

                      Statement stmt = con.createStatement ();

                      String query = "Select * From products Where name = '" + name + "'";
 

                      // Execute the query and retrieve a ResultSet.

                      ResultSet rs = stmt.executeQuery (query);
                     

                      // Get a PrintWriter object and respond to the request.

                      PrintWriter out = response.getWriter ();

                      Page.createHeader (out, "Product Requested");


                      // Display the data in the ResultSet.

                      if (rs.next ())

                      {

                             out.println ("<table height=300 cellspacing=5 border=5 bodercolor=#ffaa00>");
                             
                             out.println ("<tr>");
                             
                             out.println ("<td><p><b>ID:</b> " + rs.getString ("id") + "</td>");

                             out.println ("<td><b><font color=royalblue>Name:</font></b> " + rs.getString ("name") + "</td>");

                             out.println ("<td><b>Information:</b> " + rs.getString ("information") + "</td>");

                             out.println ("<td><b><font color=green>Price:</font></b> " + rs.getString ("price") + "</td>");

                             out.println ("<td><b>Image:</b> " + "<img src=" + rs.getString ("image") + ">" + "</p>" + "</td>");
                          
                             out.println ("</tr></table>"); 
                          
                         }
                      else

                         {

                             out.println ("<h2>Sorry but the name was not found our database.</h2>");
                             
                             out.println ("<h2>Please Try Again!</h2>");
                             
                             out.println ("<img src=http://www.triplestarinc.com/10/sadface.jpg>");
                             

                      }

                      Page.createFooter (out);

                      con.close (); // Close the connection to the database.

               } catch (SQLException e) {System.out.println ("SQL Exception");}

                 catch (ClassNotFoundException e) {System.out.println ("Driver not found");}              

       } // process

} // FindProduct